Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.sam
Interface SAMv3Handler.Session

All Known Implementing Classes:
  SAMv3DatagramSession, SAMv3RawSession, SAMv3StreamSession

Enclosing class:
  SAMv3Handler

    static interface SAMv3Handler.Session

Method Summary
`void` | `close()`
`String` | `getNick()`
`boolean` | `sendBytes(String dest, byte[] data)`

Method Detail

### getNick

    String getNick()

### close

    void close()

### sendBytes

    boolean sendBytes(String dest,
                      byte[] data)
                      throws DataFormatException

  Throws:
    `DataFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD